POST   https://api.d-tools.com/SI/Publish/Projects/NewChangeOrder

Publish new change order to existing SI project.

Request Information

URI Parameters

None.

Body Parameters

NewChangeOrderInfo
NameDescriptionTypeAdditional information
ProjectId

ProjectId for project (must be a Guid). (Required)

string

None.

IntegrationChangeOrderId

Id for the change order sent by integration (Required)

string

None.

Name

Name of the change order (Required)

string

None.

TypeId

TypeId: 1 = Internal, 2 = External

byte

None.

Notes

Change Order Notes

string

None.

Request Formats

application/json, text/json

Sample:
{
  "ProjectId": "sample string 1",
  "IntegrationChangeOrderId": "sample string 2",
  "Name": "sample string 3",
  "TypeId": 64,
  "Notes": "sample string 5"
}

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'NewChangeOrderInfo'.

application/xml, text/xml

Sample:
<NewChangeOrderInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <ProjectId>sample string 1</ProjectId>
  <IntegrationChangeOrderId>sample string 2</IntegrationChangeOrderId>
  <Name>sample string 3</Name>
  <TypeId>64</TypeId>
  <Notes>sample string 5</Notes>
</NewChangeOrderInfo>

Response Information

Resource Description

PublishResponse
NameDescriptionTypeAdditional information
MessageId

Check the status of the transaction using this Message Id

globally unique identifier

None.

Message

Success Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "MessageId": "77e6f8df-ea69-41c1-896c-b91f86258589",
  "Message": "sample string 2"
}

application/xml, text/xml

Sample:
<PublishResponse xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <MessageId>77e6f8df-ea69-41c1-896c-b91f86258589</MessageId>
  <Message>sample string 2</Message>
</PublishResponse>